dstring_fmt 1.0.1

  • Readme
  • Changelog
  • Installing
  • new56

DStringFmt #

About #

  • Small library of pre-formatted String outputs for various classes.

Usage #

  • Add import "package:dstring_fmt/fmt.dart" to your Dart file

1.0.1 #

  • Update duration.dart functionality
    • Reduce repetition
  • Adhere to new analysis_options.yaml.

1.0.0 #

  • Initial release
  • Bare-bones GNU column implementation
  • DateTime formatting
  • Duration formatting

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  dstring_fmt: ^1.0.1

2. Install it

You can install packages from the command line:

with pub:


$ pub get

with Flutter:


$ flutter pub get

Alternatively, your editor might support pub get or flutter pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:dstring_fmt/dstring_fmt.dart';
  
Popularity:
Describes how popular the package is relative to other packages. [more]
16
Health:
Code health derived from static analysis. [more]
99
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
90
Overall:
Weighted score of the above. [more]
56
Learn more about scoring.

We analyzed this package on Feb 24, 2020, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.7.1
  • pana: 0.13.5

Health suggestions

Fix lib/src/util/fmt/column.dart. (-1 points)

Analysis of lib/src/util/fmt/column.dart reported 2 hints:

line 11 col 43: Unnecessary new keyword.

line 16 col 42: Unnecessary new keyword.

Format lib/src/util/fmt/date_time.dart.

Run dartfmt to format lib/src/util/fmt/date_time.dart.

Format lib/src/util/fmt/duration.dart.

Run dartfmt to format lib/src/util/fmt/duration.dart.

Maintenance suggestions

Maintain an example. (-10 points)

Create a short demo in the example/ directory to show how to use this package.

Common filename patterns include main.dart, example.dart, and dstring_fmt.dart. Packages with multiple examples should provide example/README.md.

For more information see the pub package layout conventions.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.3.0 <3.0.0
meta ^1.1.8 1.1.8
Dev dependencies
pedantic ^1.0.0